For the complete documentation index, see llms.txt. This page is also available as Markdown.

List available datacenters

Retrieve a list of datacenters available for setting up hosting plans based on available datacenter capacity and hosting plan of your order.

List available datacenters

get

Retrieve a list of datacenters available for setting up hosting plans based on available datacenter capacity and hosting plan of your order. The first item in the list is the best match for your specific order requirements.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
order_idintegerRequired

Order ID

Example: 123
Responses
200

Success response

application/json
titlestringOptional

Data center title

Example: Europe (UK)
codestringOptional

Data center code

Example: uk-fast
get/api/hosting/v1/datacenters
GET /api/hosting/v1/datacenters?order_id=123 HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "title": "Europe (UK)",
    "code": "uk-fast",
    "coordinates": {
      "latitude": 51.5074,
      "longitude": 0.1278
    }
  }
]

Last updated

Was this helpful?